Bug 1192059 - Review Request: gtk-sharp3 - GTK 3 sharp for Mono
Summary: Review Request: gtk-sharp3 - GTK 3 sharp for Mono
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-12 14:36 UTC by Claudio Rodrigo Pereyra DIaz
Modified: 2015-06-21 00:17 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-15 18:47:36 UTC
zbyszek: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Claudio Rodrigo Pereyra DIaz 2015-02-12 14:36:24 UTC
Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-1.fc20.src.rpm
Description: Mono bindings for Gtk3
Fedora Account System Username: elsupergomez

Comment 1 Claudio Rodrigo Pereyra DIaz 2015-02-12 14:37:07 UTC
Avaible in Copr https://copr.fedoraproject.org/coprs/elsupergomez/mono

Comment 2 Carlos Morel-Riquelme 2015-02-13 16:12:07 UTC
Hello Claudio, this is a INFORMAL REVIEW , i'm not a package sponsor, but i can help you to solved some warnings or issues.

Well i can't build your package because in your spec to have this lines:

Requires: mono-core >= 3.0
BuildRequires: mono-core >= 3.0

basically you are say that you need mono-core-3.0 for build this package, here is the issue because the actual version of mono-core in f21,f22,f23 is 2.10.8-8 

So you need change this two lines and put a correct version of mono-core.

Regards Claudio :)

Comment 3 Claudio Rodrigo Pereyra DIaz 2015-02-13 16:51:34 UTC
Thanks. I dont try build with mono 2.10. But if work I will the version on dependency

Comment 4 Claudio Rodrigo Pereyra DIaz 2015-03-05 11:31:19 UTC
Update. Now build with mono 2.10 too.

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-2.fc20.src.rpm
Copr URL: https://copr.fedoraproject.org/coprs/elsupergomez/mono
Koji Task: http://koji.fedoraproject.org/koji/taskinfo?taskID=9141930
Description: Mono bindings for Gtk3
Fedora Account System Username: elsupergomez

Comment 5 Claudio Rodrigo Pereyra DIaz 2015-04-29 17:25:14 UTC
Update. Add support to build with Mono 4 to

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-5.fc21.src.rpm
Copr Mono 3 URL: https://copr.fedoraproject.org/coprs/elsupergomez/mono
Copr Mono 4 URL: https://copr.fedoraproject.org/coprs/tpokorra/mono/monitor/
Description: Mono bindings for Gtk3
Fedora Account System Username: elsupergomez

Comment 6 Zbigniew Jędrzejewski-Szmek 2015-05-04 14:02:26 UTC
Summary should be improved to not simply repeat the package name in different order. Is a library? Is it bindings? 

%description should be explanded to be a useful paragraph.

Can Source be downloaded from the web? Try to use a real URL.

Group tags can be removed.

No need to repeat License in subpackages if it is the same as the main package.

Add %{?_isa} to Requires: %{name} = %{version}.

Can parallel build be used? If so, add %{?_smp_flags} to make.

Most likely .la files should be removed.
Add 'find %{buildroot} -name \*.la -delete' or similar.

Use -delete instead of -exec rm {} \; with find.

Are both static libraries (*.a) and .so files needed?

Use %make_install (see https://fedoraproject.org/wiki/Make_install_packaging_draft).

Your package should not own %{_datadir}.

What about the license: is there a license file?

Comment 7 Claudio Rodrigo Pereyra DIaz 2015-05-04 18:30:54 UTC
Update with feedback

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-6.fc21.src.rpm
Copr Mono 3 URL: https://copr.fedoraproject.org/coprs/elsupergomez/mono
Copr Mono 4 URL: https://copr.fedoraproject.org/coprs/tpokorra/mono/monitor/
Description: Mono bindings for Gtk3
Fedora Account System Username: elsupergomez

I don't understand how use %{?_isa} in requires
Why and where Group tags should be removed?
Other suggestion was applied.

Comment 8 Zbigniew Jędrzejewski-Szmek 2015-05-04 19:21:13 UTC
(In reply to Claudio Rodrigo Pereyra DIaz from comment #7)
You forgot to update the .spec file. The one in srpm is correct, so I'm using that.

> Why and where Group tags should be removed?
Everywhere :) They are harmeless, but not really used for anything.

> I don't understand how use %{?_isa} in requires
This only makes sense when an arch-full package depends on another arch-full package built from the same srpm. For example, %{name}-devel depends %{name}. The dependency without %{_isa} can be satisfied by a package from different architecture:
  %{name}-%{version}.i686 + %{name}-devel-%{version}.x86_64
But this is actually broken, since -devel needs the main package from the same architecture.

To forbid that, you can use:
Requires:       %{name}%{?_isa} = %{version}-%{release}


Some more issues:
- Summary is better, but it should be less than 70 chars :)
- part of %build (everything except %configure and make) should be moved to %prep.
- %make_install already has DESTDIR, so no need to set it
- find %{buildroot} -name \*.*a -delete looks wrong. This will delete any file which has a dot and ends in an 'a'.

- %defattr is not needed (see https://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions)

- Should -doc be an archful package? Probably not, consider adding
BuildArch: noarch (in the part for -doc).

- Why doc -doc require the main package? I don't think there's a dependency.

Comment 9 Claudio Rodrigo Pereyra DIaz 2015-05-05 14:24:28 UTC
Thanks for feedback.
I add define for mono macros to proper build in epel7 to. For that I leave the Group tag.

Other suggestion was applied

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-7.fc21.src.rpm

Comment 10 Claudio Rodrigo Pereyra DIaz 2015-05-05 15:11:17 UTC
Koji task: https://koji.fedoraproject.org/koji/taskinfo?taskID=9658746

Comment 11 Zbigniew Jędrzejewski-Szmek 2015-05-05 16:29:33 UTC
Sorry, I made a typo: it's %{?_smp_mflags} not %{?_smp_flags} .

- ldconfig called in %post and %postun if required.
  Note: /sbin/ldconfig not called in gtk-sharp3
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

Perl:
[ ]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?
You have some explicit dependencies on perl packages, but they should be generated automatically. If automatic generation does not work, add a comment in the spec file.

gtk-sharp3.x86_64: W: file-not-utf8 /usr/share/doc/gtk-sharp3/AUTHORS

Directory /usr/lib/gapi-3.0 should be owned by gtk-sharp3-gapi

Consider adding "%global _docdir_fmt %{name}" somewhere at the top. This will make all subpackages use the same license and doc directories, reducing duplication of files.

Comment 12 Claudio Rodrigo Pereyra DIaz 2015-05-05 19:50:04 UTC
I think that now all suggestion was applied.

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-8.fc21.src.rpm

Comment 13 Zbigniew Jędrzejewski-Szmek 2015-05-10 16:14:53 UTC
Right, package looks OK. One question:
how is the virtual Provides:libmono-profiler-gui-thread-check supposed to be used?

Can't sponsor you, sorry. I'd suggest heading over to http://fedoraproject.org/PackageReviewStatus/ and doing some reviews in "trivial" or "new" categories.

Comment 14 Claudio Rodrigo Pereyra DIaz 2015-05-11 17:34:22 UTC
Fix(In reply to Zbigniew Jędrzejewski-Szmek from comment #13)
> Right, package looks OK. One question:
> how is the virtual Provides:libmono-profiler-gui-thread-check supposed to be
> used?
> 
> Can't sponsor you, sorry. I'd suggest heading over to
> http://fedoraproject.org/PackageReviewStatus/ and doing some reviews in
> "trivial" or "new" categories.

Removed, this was for problem with rpm that not detected the provides lib requiered by monodevelop, but this was fixed and now I removed form spec.
Thank

Comment 15 Claudio Rodrigo Pereyra DIaz 2015-05-13 18:09:47 UTC
New Package SCM Request
=======================
Package Name: gtk-sharp3
Short Description: GTK+ 3 and GNOME 3 bindings for Mono
Upstream URL: http://www.mono-project.com/GtkSharp
Owners: elsupergomez
Branches: f21 f22 epel7
InitialCC: elsupergomez

Comment 16 Gwyn Ciesla 2015-05-13 19:34:25 UTC
WARNING: fedora-review flag not set

Comment 17 Zbigniew Jędrzejewski-Szmek 2015-05-14 02:08:31 UTC
The review was not completed. You had the NEEDSPONSOR flag set, and I didn't see that you are already in the packager group. If you wish, I'll take the review.

Comment 18 Claudio Rodrigo Pereyra DIaz 2015-05-14 11:21:28 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #17)
> The review was not completed. You had the NEEDSPONSOR flag set, and I didn't
> see that you are already in the packager group. If you wish, I'll take the
> review.

I was sponsored yesterday by laxton.
Yes, please take the review.

Comment 19 Zbigniew Jędrzejewski-Szmek 2015-05-14 12:23:22 UTC
Please restore the SRPM then :) Can't review what I can't download.

Comment 21 Zbigniew Jędrzejewski-Szmek 2015-05-14 21:41:47 UTC
Upstream URL changed to http://www.mono-project.com/docs/gui/gtksharp/.

Some minor issues are marked below with ? or !. Please fix them up (or comment why they are ok as is). Package is APPROVED.

===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "GPL (v2 or later)", "GPL (v2) (with
     incorrect FSF address)", "Unknown or generated". 355 files have
     unknown license. Detailed output of licensecheck in /var/tmp/1192059
     -gtk-sharp3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /usr/lib/mono/gac/pango-sharp
     (gtk-sharp2), /usr/lib/mono/gac/gtk-dotnet(gtk-sharp2),
     /usr/lib/mono/gac/atk-sharp(gtk-sharp2), /usr/lib/mono/gac/glib-sharp
     (gtk-sharp2), /usr/lib/mono/gac/gtk-sharp(gtk-sharp2),
     /usr/lib/mono/gac/gdk-sharp(gtk-sharp2)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Perl:
[?]: Package contains the mandatory BuildRequires and Requires:.
     Note: Requires: perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`";
     echo $version)) missing?


===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in gtk-
     sharp3-gapi , gtk-sharp3-doc


[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
     Note: gtk-sharp3-gapi : /usr/lib64/pkgconfig/gapi-3.0.pc
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define _monodir
     %{_prefix}/lib/mono, %define _monogacdir %{_monodir}/gac
Those should be changed to %global.

[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
An upstream issue.

[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 2467840 bytes in /usr/share
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gtk-sharp3-2.99.3-9.fc23.x86_64.rpm
          gtk-sharp3-gapi-2.99.3-9.fc23.x86_64.rpm
          gtk-sharp3-devel-2.99.3-9.fc23.x86_64.rpm
          gtk-sharp3-doc-2.99.3-9.fc23.noarch.rpm
          gtk-sharp3-2.99.3-9.fc23.src.rpm
gtk-sharp3.x86_64: W: unstripped-binary-or-object /usr/lib64/libmono-profiler-gui-thread-check.so.0.0.0
gtk-sharp3-gapi.x86_64: W: only-non-binary-in-usr-lib
gtk-sharp3-gapi.x86_64: W: no-documentation
gtk-sharp3-gapi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/gapi-3.0.pc
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-parser
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-fixup
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-codegen
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libgiosharpglue-3.so
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libpangosharpglue-3.so
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libgtksharpglue-3.so
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libatksharpglue-3.so
gtk-sharp3-devel.x86_64: W: no-documentation
gtk-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
gtk-sharp3-doc.noarch: W: no-documentation
gtk-sharp3.src:3: E: hardcoded-library-path in %{_prefix}/lib/mono
gtk-sharp3.src:105: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0
gtk-sharp3.src:106: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0/gapi_codegen.exe
gtk-sharp3.src:107: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0/gapi-fixup.exe
gtk-sharp3.src:108: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0/gapi-parser.exe
gtk-sharp3.src:109: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0/gapi_pp.pl
gtk-sharp3.src:110: E: hardcoded-library-path in %{_prefix}/lib/gapi-3.0/gapi2xml.pl
gtk-sharp3.src:120: E: hardcoded-library-path in %{_prefix}/lib/monodoc/sources/*
5 packages and 0 specfiles checked; 8 errors, 14 warnings.

All OK.


Rpmlint (installed packages)
----------------------------
gtk-sharp3-doc.noarch: W: only-non-binary-in-usr-lib
gtk-sharp3-doc.noarch: W: no-documentation
gtk-sharp3-gapi.x86_64: W: only-non-binary-in-usr-lib
gtk-sharp3-gapi.x86_64: W: no-documentation
gtk-sharp3-gapi.x86_64: W: devel-file-in-non-devel-package /usr/lib64/pkgconfig/gapi-3.0.pc
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-parser
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-fixup
gtk-sharp3-gapi.x86_64: W: no-manual-page-for-binary gapi3-codegen
gtk-sharp3.x86_64: W: unstripped-binary-or-object /usr/lib64/libmono-profiler-gui-thread-check.so.0.0.0
gtk-sharp3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmono-profiler-gui-thread-check.so.0.0.0 /lib64/libm.so.6
gtk-sharp3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmono-profiler-gui-thread-check.so.0.0.0 /lib64/librt.so.1
gtk-sharp3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libmono-profiler-gui-thread-check.so.0.0.0 /lib64/libdl.so.2
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libgiosharpglue-3.so
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiosharpglue-3.so /lib64/libgio-2.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiosharpglue-3.so /lib64/libgobject-2.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgiosharpglue-3.so /lib64/libglib-2.0.so.0
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libpangosharpglue-3.so
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpangosharpglue-3.so /lib64/libpango-1.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpangosharpglue-3.so /lib64/libgobject-2.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpangosharpglue-3.so /lib64/libglib-2.0.so.0
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libgtksharpglue-3.so
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libgdk-3.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libpangocairo-1.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libpango-1.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libatk-1.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libcairo-gobject.so.2
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libcairo.so.2
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libgdk_pixbuf-2.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libgio-2.0.so.0
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libgtksharpglue-3.so /lib64/libglib-2.0.so.0
gtk-sharp3-devel.x86_64: W: unstripped-binary-or-object /usr/lib64/libatksharpglue-3.so
gtk-sharp3-devel.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libatksharpglue-3.so /lib64/libglib-2.0.so.0
gtk-sharp3-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 33 warnings.

All OK.

Requires
--------
gtk-sharp3-doc (rpmlib, GLIBC filtered):
    monodoc

gtk-sharp3-gapi (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/perl
    /usr/bin/pkg-config
    mono(System)
    mono(System.Core)
    mono(System.Xml)
    mono(mscorlib)
    perl(XML::LibXML)

gtk-sharp3 (rpmlib, GLIBC filtered):
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libglib-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libmono-2.0.so.1()(64bit)
    libmono-2.0.so.1(VER_1)(64bit)
    libpthread.so.0()(64bit)
    librt.so.1()(64bit)
    mono(System)
    mono(System.Core)
    mono(System.Drawing)
    mono(atk-sharp)
    mono(cairo-sharp)
    mono(gdk-sharp)
    mono(gio-sharp)
    mono(glib-sharp)
    mono(gtk-sharp)
    mono(mscorlib)
    mono(pango-sharp)
    rtld(GNU_HASH)

gtk-sharp3-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    gtk-sharp3(x86-64)
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo-gobject.so.2()(64bit)
    libcairo.so.2()(64bit)
    libgdk-3.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-3.so.0()(64bit)
    libmono-profiler-gui-thread-check.so.0()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    pkgconfig
    pkgconfig(gdk-sharp-3.0)
    pkgconfig(gio-sharp-3.0)
    pkgconfig(glib-sharp-3.0)
    pkgconfig(gtk-sharp-3.0)
    rtld(GNU_HASH)



Provides
--------
gtk-sharp3-doc:
    gtk-sharp3-doc

gtk-sharp3-gapi:
    gtk-sharp3-gapi
    gtk-sharp3-gapi(x86-64)
    mono(gapi-fixup)
    mono(gapi-parser)
    mono(gapi_codegen)
    pkgconfig(gapi-3.0)

gtk-sharp3:
    gtk-sharp3
    gtk-sharp3(x86-64)
    libmono-profiler-gui-thread-check.so.0()(64bit)
    mono(atk-sharp)
    mono(cairo-sharp)
    mono(gdk-sharp)
    mono(gio-sharp)
    mono(glib-sharp)
    mono(gtk-dotnet)
    mono(gtk-sharp)
    mono(pango-sharp)

gtk-sharp3-devel:
    gtk-sharp3-devel
    gtk-sharp3-devel(x86-64)
    libatksharpglue-3.so()(64bit)
    libgiosharpglue-3.so()(64bit)
    libgtksharpglue-3.so()(64bit)
    libpangosharpglue-3.so()(64bit)
    pkgconfig(gdk-sharp-3.0)
    pkgconfig(gio-sharp-3.0)
    pkgconfig(glib-sharp-3.0)
    pkgconfig(gtk-dotnet-3.0)
    pkgconfig(gtk-sharp-3.0)



Source checksums
----------------
http://ftp.acc.umu.se/pub/gnome/sources/gtk-sharp/2.99/gtk-sharp-2.99.3.tar.xz :
  CHECKSUM(SHA256) this package     : 6440f571416267ae0cb5698071d087b31e3084693fa2c829b1db37ca7ea2c3a2
  CHECKSUM(SHA256) upstream package : 6440f571416267ae0cb5698071d087b31e3084693fa2c829b1db37ca7ea2c3a2


AutoTools: Obsoleted m4s found
------------------------------
  AM_PROG_LIBTOOL found in: gtk-sharp-2.99.3/configure.ac:72


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -b 1192059
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++, Perl
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 22 Zbigniew Jędrzejewski-Szmek 2015-05-14 21:49:13 UTC
OK, I looked at the perl guidelines again, and they really apply only to modules. Since there's only a perl script in the package, automatically generated dependency on perl(XML::LibXML) should be enough. So please disregard that comment.

Comment 23 Claudio Rodrigo Pereyra DIaz 2015-05-15 12:40:31 UTC
Improve with suggestions.

Spec URL: https://elsupergomez.fedorapeople.org/SPECS/gtk-sharp3.spec
SRPM URL: https://elsupergomez.fedorapeople.org/SRPMS/gtk-sharp3-2.99.3-10.fc21.src.rpm

Can I mark now the fedora_cvs flag?

Comment 24 Zbigniew Jędrzejewski-Szmek 2015-05-15 12:56:12 UTC
(In reply to Claudio Rodrigo Pereyra DIaz from comment #23)
> Can I mark now the fedora_cvs flag?
Yes! See 
https://fedoraproject.org/wiki/New_package_process_for_existing_contributors for more details.

Comment 25 Claudio Rodrigo Pereyra DIaz 2015-05-15 13:21:50 UTC
New Package SCM Request
=======================
Package Name: gtk-sharp3
Short Description: GTK+ 3 and GNOME 3 bindings for Mono
Upstream URL: http://www.mono-project.com/GtkSharp
Owners: elsupergomez mono-sig
Branches: f21 f22 epel7
InitialCC: elsupergomez

Comment 26 Claudio Rodrigo Pereyra DIaz 2015-05-15 13:23:14 UTC
(In reply to Claudio Rodrigo Pereyra DIaz from comment #25)
> New Package SCM Request
> =======================
> Package Name: gtk-sharp3
> Short Description: GTK+ 3 and GNOME 3 bindings for Mono
> Upstream URL: http://www.mono-project.com/GtkSharp
Upstream URL: http://www.mono-project.com/docs/gui/gtksharp/
> Owners: elsupergomez mono-sig
> Branches: f21 f22 epel7
> InitialCC: elsupergomez

Comment 27 Zbigniew Jędrzejewski-Szmek 2015-05-15 13:30:45 UTC
New Package SCM Request
=======================
Package Name: gtk-sharp3
Short Description: GTK+ 3 and GNOME 3 bindings for Mono
Upstream URL: http://www.mono-project.com/docs/gui/gtksharp/
Owners: elsupergomez mono-sig
Branches: f21 f22 epel7
InitialCC:

Comment 28 Gwyn Ciesla 2015-05-15 16:18:20 UTC
Git done (by process-git-requests).

Comment 29 Fedora Update System 2015-05-15 18:52:05 UTC
gtk-sharp3-2.99.3-10.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/gtk-sharp3-2.99.3-10.fc21

Comment 30 Fedora Update System 2015-05-15 18:53:08 UTC
gtk-sharp3-2.99.3-10.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/gtk-sharp3-2.99.3-10.el7

Comment 31 Fedora Update System 2015-05-15 18:56:00 UTC
gtk-sharp3-2.99.3-10.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/gtk-sharp3-2.99.3-10.fc22

Comment 32 Fedora Update System 2015-06-20 21:09:06 UTC
gtk-sharp3-2.99.3-10.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 33 Fedora Update System 2015-06-21 00:14:20 UTC
gtk-sharp3-2.99.3-10.fc22 has been pushed to the Fedora 22 stable repository.

Comment 34 Fedora Update System 2015-06-21 00:17:48 UTC
gtk-sharp3-2.99.3-10.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.